### Hierarchy

- QueryGridController

## Index

### Properties

- $element_
- $scope_
- $timeout_
- active
- featuresForSources_
- features_
- filename_
- getMapFn
- gridSources
- highlightFeatures_
- loadedGridSources
- map_
- maxResults
- ngeoCsvDownload_
- ngeoFeatureOverlayMgr_
- ngeoMapQuerent_
- ngeoQueryResult
- options
- pending
- selectedTab
- sumOfAvailableResults
- sumOfFeatures
- tooManyResults
- unregisterSelectWatcher_

### Methods

- $onInit
- cleanProperties_
- clear
- collectData_
- downloadCsv
- escapeValue
- getActiveGridSource
- getGridConfiguration_
- getGridSources
- getMergedSource_
- getMergedSources_
- getSelectedRowCount
- hasOneWithTooManyResults_
- invertSelection
- isOneSelected
- isSelected
- makeGrid_
- onSelectionChanged_
- reflowGrid_
- removeEmptyColumnsFn_
- selectAll
- selectTab
- unselectAll
- updateData_
- updateFeatures_
- zoomToSelection

## Properties

### $element_

$element_: JQuery<HTMLElement>

- Defined in src/query/gridComponent.js:204

### $scope_

$scope_: IScope

- Defined in src/query/gridComponent.js:179

### $timeout_

$timeout_: ITimeoutService

- Defined in src/query/gridComponent.js:184

### active

active: boolean

- Defined in src/query/gridComponent.js:214

### featuresForSources_

featuresForSources_: Object

- Defined in src/query/gridComponent.js:246

A mapping between row uid and the corresponding feature for each source.

### features_

features_: Collection<Feature<Geometry>>

- Defined in src/query/gridComponent.js:253

### filename_

filename_: any

- Defined in src/query/gridComponent.js:270

Filename

### getMapFn

getMapFn: () => Map

- Defined in src/query/gridComponent.js:319

#### Type declaration

- - (): Map

  - #### Returns Map

### gridSources

gridSources: Object

- Defined in src/query/gridComponent.js:224

### highlightFeatures_

highlightFeatures_: Collection<Feature<Geometry>>

- Defined in src/query/gridComponent.js:263

### loadedGridSources

loadedGridSources: string[]

- Defined in src/query/gridComponent.js:231

IDs of the grid sources in the order they were loaded.

### map_

map_: Map

- Defined in src/query/gridComponent.js:275

### maxResults

maxResults: number

- Defined in src/query/gridComponent.js:209

### ngeoCsvDownload_

ngeoCsvDownload_: DownloadCsvService

- Defined in src/query/gridComponent.js:199

### ngeoFeatureOverlayMgr_

ngeoFeatureOverlayMgr_: FeatureOverlayMgr

- Defined in src/query/gridComponent.js:258

### ngeoMapQuerent_

ngeoMapQuerent_: MapQuerent

- Defined in src/query/gridComponent.js:194

### ngeoQueryResult

ngeoQueryResult: QueryResult

- Defined in src/query/gridComponent.js:189

### options

options: any

- Defined in src/query/gridComponent.js:174

### pending

pending: boolean

- Defined in src/query/gridComponent.js:219

### selectedTab

selectedTab: string | number

- Defined in src/query/gridComponent.js:238

The id of the currently shown query source.

### sumOfAvailableResults

sumOfAvailableResults: number

- Defined in src/query/gridComponent.js:289

Sum over all tabs of the available results

### sumOfFeatures

sumOfFeatures: number

- Defined in src/query/gridComponent.js:282

Sum over all tabs of the obtained results

### tooManyResults

tooManyResults: boolean

- Defined in src/query/gridComponent.js:748

### unregisterSelectWatcher_

unregisterSelectWatcher_: () => void

- Defined in src/query/gridComponent.js:314

#### Type declaration

- - (): void

  - An unregister function returned from `$scope.$watchCollection` for "on-select" changes (when rows are selected/unselected).

    #### Returns void

## Methods

### $onInit

- $onInit(): void

- - Defined in src/query/gridComponent.js:325

  Init the controller

  #### Returns void

### cleanProperties_

- cleanProperties_(allProperties: Object[], featureGeometriesNames: string[]): void

- - Defined in src/query/gridComponent.js:618

  Remove all unwanted columns.

  #### Parameters

  - ##### allProperties: Object[]

    A row.

  - ##### featureGeometriesNames: string[]

    Geometry names.

  #### Returns void

### clear

- clear(): void

- - Defined in src/query/gridComponent.js:741

  Remove the current selected feature and source and remove all features from the map.

  #### Returns void

### collectData_

- collectData_(source: QueryResultSource): void

- - Defined in src/query/gridComponent.js:580

  Collect all features in the queryResult object.

  #### Parameters

  - ##### source: QueryResultSource

    Result source.

  #### Returns void

### downloadCsv

- downloadCsv(): void

- - Defined in src/query/gridComponent.js:924

  Start a CSV download for the selected features.

  #### Returns void

### escapeValue

- escapeValue(value: string | number): string | number

- - Defined in src/query/gridComponent.js:446

  Returns the value with all symbols and spaces replaced by an underscore.

  #### Parameters

  - ##### value: string | number

    A value to escape.

  #### Returns string | number

  value An escaped value.

### getActiveGridSource

- getActiveGridSource(): GridSource

- - Defined in src/query/gridComponent.js:729

  Get the currently shown grid source.

  #### Returns GridSource

  Grid source.

### getGridConfiguration_

- getGridConfiguration_(data: Object[]): GridConfig

- - Defined in src/query/gridComponent.js:696

  #### Parameters

  - ##### data: Object[]

    Grid rows.

  #### Returns GridConfig

  Grid config.

### getGridSources

- getGridSources(): GridSource[]

- - Defined in src/query/gridComponent.js:355

  Returns a list of grid sources in the order they were loaded.

  #### Returns GridSource[]

  Grid sources.

### getMergedSource_

- getMergedSource_(source: QueryResultSource, mergedSources: Object): QueryResultSource

- - Defined in src/query/gridComponent.js:510

  Check if the given source should be merged. If so, an artificial source that will contain the features of all mergeable sources is returned. If not, `null` is returned.

  #### Parameters

  - ##### source: QueryResultSource

    Source.

  - ##### mergedSources: Object

    Merged sources.

  #### Returns QueryResultSource

  A merged source of null if the source should not be merged.

### getMergedSources_

- getMergedSources_(sources: QueryResultSource[]): QueryResultSource[]

- - Defined in src/query/gridComponent.js:476

  Try to merge the mergeable sources.

  #### Parameters

  - ##### sources: QueryResultSource[]

    Sources.

  #### Returns QueryResultSource[]

  The merged sources.

### getSelectedRowCount

- getSelectedRowCount(): number

- - Defined in src/query/gridComponent.js:857

  Returns the number of selected rows of the currently active grid.

  #### Returns number

  The number of selected rows.

### hasOneWithTooManyResults_

- hasOneWithTooManyResults_(): boolean

- - Defined in src/query/gridComponent.js:436

  #### Returns boolean

  If one of the source has too many results.

### invertSelection

- invertSelection(): void

- - Defined in src/query/gridComponent.js:889

  Invert the selection of the currently active grid.

  #### Returns void

### isOneSelected

- isOneSelected(): boolean

- - Defined in src/query/gridComponent.js:843

  Returns if a row of the currently active grid is selected?

  #### Returns boolean

  Is one selected?

### isSelected

- isSelected(gridSource: GridSource): boolean

- - Defined in src/query/gridComponent.js:466

  Returns if the given grid source is selected?

  #### Parameters

  - ##### gridSource: GridSource

    Grid source.

  #### Returns boolean

  Is selected?

### makeGrid_

- makeGrid_(data: Object[], source: QueryResultSource): boolean

- - Defined in src/query/gridComponent.js:671

  #### Parameters

  - ##### data: Object[]

    Grid rows.

  - ##### source: QueryResultSource

    Query source.

  #### Returns boolean

  Returns true if a grid was created.

### onSelectionChanged_

- onSelectionChanged_(): void

- - Defined in src/query/gridComponent.js:804

  Called when the row selection has changed.

  #### Returns void

### reflowGrid_

- reflowGrid_(): void

- - Defined in src/query/gridComponent.js:787

  #### Returns void

### removeEmptyColumnsFn_

- removeEmptyColumnsFn_(allProperties: Object[]): void

- - Defined in src/query/gridComponent.js:637

  Remove columns that will be completely empty between each properties.

  #### Parameters

  - ##### allProperties: Object[]

    A row.

  #### Returns void

### selectAll

- selectAll(): void

- - Defined in src/query/gridComponent.js:869

  Select all rows of the currently active grid.

  #### Returns void

### selectTab

- selectTab(gridSource: GridSource): void

- - Defined in src/query/gridComponent.js:763

  Select the tab for the given grid source.

  #### Parameters

  - ##### gridSource: GridSource

    Grid source.

  #### Returns void

### unselectAll

- unselectAll(): void

- - Defined in src/query/gridComponent.js:879

  Deselect all rows of the currently active grid.

  #### Returns void

### updateData_

- updateData_(): void

- - Defined in src/query/gridComponent.js:359

  #### Returns void

### updateFeatures_

- updateFeatures_(gridSource: GridSource): void

- - Defined in src/query/gridComponent.js:816

  #### Parameters

  - ##### gridSource: GridSource

    Grid source

  #### Returns void

### zoomToSelection

- zoomToSelection(): void

- - Defined in src/query/gridComponent.js:899

  Zoom to the selected features.

  #### Returns void

Generated using TypeDoc